GNU bug report logs - #55768
26.3; isearch highlighting in dired

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Thierry EMERY <thierryalemery@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 55768 <at> debbugs.gnu.org and Thierry EMERY <thierryalemery@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 30 Jun 2022 14:57:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 10:57:02 2022
Received: from localhost ([127.0.0.1]:35347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6vbK-0001SJ-16
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2022 10:57:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o6vbE-0001Rf-G8
 for 55768 <at> debbugs.gnu.org; Thu, 30 Jun 2022 10:57:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=oDg5ZM88mwSwz2v+a4mfYRCRqNYHRJKBkS0X1uE47Qo=; b=fCjew85/qCOgJJuWaIezsCtegc
 OkRPkzplmzwe6nEu8BJKK5YEyGoHVc+ZmV9C4DEknQvYv5YLF5CFqejDB/yVOd9pfo67Qd+ntBa2Q
 Pdkqq2XA7Bfzkn8Lkh2eZvf1hqtogWh6Tfn7pqVGER9lCBIQAWLWcrOX81OYGbS/LbOE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o6vb4-0004a5-Nz; Thu, 30 Jun 2022 16:56:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Thierry EMERY <thierryalemery@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
In-Reply-To: <CAM75=5CUgvgJh4=+LLBKogL3iKELvJPNb+qudkBUZtBkcTRkNQ@HIDDEN>
 (Thierry EMERY's message of "Thu, 30 Jun 2022 16:37:50 +0200")
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
 <87mtesacyr.fsf@HIDDEN> <86tu84ohjw.fsf@HIDDEN>
 <87y1xgn1o5.fsf@HIDDEN> <86tu84n0zh.fsf@HIDDEN>
 <87wnczlrmz.fsf@HIDDEN> <86v8sjtm00.fsf@HIDDEN>
 <87y1xecxbk.fsf@HIDDEN>
 <CAM75=5CUgvgJh4=+LLBKogL3iKELvJPNb+qudkBUZtBkcTRkNQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEX+/v7s6+bk49r/
 //+EW7lNAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YGHg44IBUgNgoAAAATSURBVCjPY2AYBaOAOMCY
 QrkZABzgAGbpX6a8AAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA2LTMwVDE0OjU2OjMyKzAwOjAw
 1GW+ygAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNi0zMFQxNDo1NjozMiswMDowMKU4BnYAAAAA
 SUVORK5CYII=
X-Now-Playing: The Beatles's _The Beatles (2)_: "Everybody's Got Something
 To Hide Except Me And My Monkey"
Date: Thu, 30 Jun 2022 16:56:45 +0200
Message-ID: <87wncy6vyq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Thierry EMERY <thierryalemery@HIDDEN> writes: > Good news:
 the bug that i had in Emacs 26.3 is not present in 28.1. > With Emacs 28.1
 compiled from source and started with "src/emacs -Q" i can use > incremental
 search (e.g. in dired) including fo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Thierry EMERY <thierryalemery@HIDDEN> writes:

> Good news: the bug that i had in Emacs 26.3 is not present in 28.1.
> With Emacs 28.1 compiled from source and started with "src/emacs -Q" i can use
> incremental search (e.g. in dired) including for visible text (found) or invisible text
> (not found), and highlighting is correct in all cases.

Thanks for checking; I'm closing this bug report, then.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 30 Jun 2022 14:38:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 10:38:09 2022
Received: from localhost ([127.0.0.1]:35331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6vJ2-0000wa-UW
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2022 10:38:09 -0400
Received: from mail-vk1-f172.google.com ([209.85.221.172]:45847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thierryalemery@HIDDEN>) id 1o6vIz-0000w2-VH
 for 55768 <at> debbugs.gnu.org; Thu, 30 Jun 2022 10:38:07 -0400
Received: by mail-vk1-f172.google.com with SMTP id j26so9081914vki.12
 for <55768 <at> debbugs.gnu.org>; Thu, 30 Jun 2022 07:38:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=lUjLk1YWXQWytfIxN56k6tChKzQe6DeHyYIx/r917vQ=;
 b=qOiAS67tA9HsXMsT7vTHIlsOoVNpPqch4c9wK+0TcFEspcYOj1DuOUevXvgrmQXz5T
 byu499Zt/FC0uati9RcqXZM0YOcqvi9qJSKpvAKufKr0uISYSi5XOX4puE8D093wEM1k
 31DunqdqetKRxpL1mfyuAPEvGvcIbIYTfayOVb3lJ80DdcM7vE7JI4tHPfP2Ekl1hqeS
 z1IDCM5ERBA+r6T7RgviAgk3A/CMMwb5Co2JY1joCZ+qXHbSoWXdlg4GZGdMGawEl5Gn
 v9jc+w2uXTGTtHo4shfFwW+p0k56ozCiJkIMUdQDfzLLqH+7CWmM/t1bnKPQyYG7KEWk
 J37w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=lUjLk1YWXQWytfIxN56k6tChKzQe6DeHyYIx/r917vQ=;
 b=kXa8/nS5gaAdHwD/dzN05YU+buKw+XeWamWdDxucyz149x+ApVX+EgsVrUFliP8Dud
 wPXHnjHBDY1gNon5Fcuhe+Mnip2UbCDJCTa9DSjsrW9WG0bdOsmN8lmOTD0ISCIXzHUd
 spXAvhmBPl6eiCEm85LiYt0YZFjfs+rDtzMpCPYzBERSqO0Yr4ti78uVJFMGN7treDd6
 W/iXquV2FpwKFiG+GS7cy1OoTVly8x/5Xzgkc8gpmu2P+x5FdZCGtMMW7Bxg+nAHX2ao
 yIHMhkWTAivy27Sz1Se79QCQS+/XWRCMd4nTgB9onjGkmTHt91jND0iUL88zPBlGkRXp
 +Dig==
X-Gm-Message-State: AJIora/eqyv0aZJ5FUBGOhRfVAfzTZDV6wDqRGQ/Ujjfg53W7stYVCpO
 iF2Pk9nPgYytjhkFAGxxw0DpoauiFZun7U2j0Ek=
X-Google-Smtp-Source: AGRyM1sND1cHVIhQRbtzY+rR7ZuQEbEm5cLdo7kgLqG1/naIRzE5RG/VMrQOeGkuCVigN4P01Zf05UE/4fLf98eyOec=
X-Received: by 2002:a1f:85:0:b0:36c:509a:bf65 with SMTP id
 127-20020a1f0085000000b0036c509abf65mr8727785vka.21.1656599880010; 
 Thu, 30 Jun 2022 07:38:00 -0700 (PDT)
MIME-Version: 1.0
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
 <87mtesacyr.fsf@HIDDEN> <86tu84ohjw.fsf@HIDDEN>
 <87y1xgn1o5.fsf@HIDDEN> <86tu84n0zh.fsf@HIDDEN>
 <87wnczlrmz.fsf@HIDDEN> <86v8sjtm00.fsf@HIDDEN>
 <87y1xecxbk.fsf@HIDDEN>
In-Reply-To: <87y1xecxbk.fsf@HIDDEN>
From: Thierry EMERY <thierryalemery@HIDDEN>
Date: Thu, 30 Jun 2022 16:37:50 +0200
Message-ID: <CAM75=5CUgvgJh4=+LLBKogL3iKELvJPNb+qudkBUZtBkcTRkNQ@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000062100105e2ab3758"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000062100105e2ab3758
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello,

Good news: the bug that i had in Emacs 26.3 is not present in 28.1.
With Emacs 28.1 compiled from source and started with "src/emacs -Q" i can
use incremental search (e.g. in dired) including for visible text (found)
or invisible text (not found), and highlighting is correct in all cases.
Also i see in Emacs 28.1 sources that `invisible-p' has been rewritten (in
C), and is more thorough than in 26.3 :-)

Thanks,

Thierry


Le jeu. 30 juin 2022 =C3=A0 11:31, Lars Ingebrigtsen <larsi@HIDDEN> a =C3=
=A9crit :

> Juri Linkov <juri@HIDDEN> writes:
>
> >> That's true.  Was that the intention here -- first to check invisibili=
ty
> >> of both text properties and overlays and then only check invisibility =
of
> >> text properties?
> >
> > Yep, that is my understanding too: first check both, then each
> separately.
>
> Right.
>
> Anyway, back to the original issue -- Thierry, you reported this problem
> for Emacs 26.3, but do you see it in more recent Emacs versions?
>
> If so, can you give a complete recipe to reproduce it, starting from
> "emacs -Q"?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--00000000000062100105e2ab3758
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hello,<br><br><div>Good news: the bug that i had in Emacs =
26.3 is not present in 28.1.</div><div>With Emacs 28.1 compiled from source=
 and started with &quot;src/emacs -Q&quot; i can use incremental search (e.=
g. in dired) including for visible text (found) or invisible text (not foun=
d), and highlighting is correct in all cases.<br>Also i see in Emacs 28.1 s=
ources that `invisible-p&#39; has been rewritten (in C), and is more thorou=
gh than in 26.3 :-)<br><br>Thanks,<br><br>Thierry<br><br></div></div><br><d=
iv class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">Le=C2=A0jeu.=
 30 juin 2022 =C3=A0=C2=A011:31, Lars Ingebrigtsen &lt;<a href=3D"mailto:la=
rsi@HIDDEN">larsi@HIDDEN</a>&gt; a =C3=A9crit=C2=A0:<br></div><blockquo=
te class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px =
solid rgb(204,204,204);padding-left:1ex">Juri Linkov &lt;<a href=3D"mailto:=
juri@HIDDEN" target=3D"_blank">juri@HIDDEN</a>&gt; writes:<br>
<br>
&gt;&gt; That&#39;s true.=C2=A0 Was that the intention here -- first to che=
ck invisibility<br>
&gt;&gt; of both text properties and overlays and then only check invisibil=
ity of<br>
&gt;&gt; text properties?<br>
&gt;<br>
&gt; Yep, that is my understanding too: first check both, then each separat=
ely.<br>
<br>
Right.<br>
<br>
Anyway, back to the original issue -- Thierry, you reported this problem<br=
>
for Emacs 26.3, but do you see it in more recent Emacs versions?<br>
<br>
If so, can you give a complete recipe to reproduce it, starting from<br>
&quot;emacs -Q&quot;?<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div>

--00000000000062100105e2ab3758--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 30 Jun 2022 09:31:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 05:31:09 2022
Received: from localhost ([127.0.0.1]:32853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6qVx-0000jE-JY
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2022 05:31:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o6qVt-0000aQ-OA
 for 55768 <at> debbugs.gnu.org; Thu, 30 Jun 2022 05:31:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ZMx+28Y0RTsYErEj/sbcW8JXoszGuOhdx0CAPqM6a/o=; b=IwntVu6cfgMVpxE47CSOQ1zL0e
 /9JgHedNXoxC/eoeJyzcMe+DGF9b/jf6jhdarCt5nOe064FQqpYPApeYxS/PDC+K4Nq6v75xSLgGq
 oF/kqHC/+7fSCJI89Xw+gVe/ADYg0hAMRdxXDeR5NQF47DEedb0O3wBoKl+Agqcc/B6M=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o6qVk-0001qL-5Y; Thu, 30 Jun 2022 11:30:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
In-Reply-To: <86v8sjtm00.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 29 Jun 2022 20:58:10 +0300")
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
 <87mtesacyr.fsf@HIDDEN> <86tu84ohjw.fsf@HIDDEN>
 <87y1xgn1o5.fsf@HIDDEN> <86tu84n0zh.fsf@HIDDEN>
 <87wnczlrmz.fsf@HIDDEN> <86v8sjtm00.fsf@HIDDEN>
X-Now-Playing: Andrew Poppy's _Alphabed_: "Goodbye Mr G"
Date: Thu, 30 Jun 2022 11:30:55 +0200
Message-ID: <87y1xecxbk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: >> That's true. Was
 that the intention here -- first to check invisibility >> of both text
 properties
 and overlays and then only check invisibility of >> text properties? > >
 Yep, that is my understan [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Thierry EMERY <thierryalemery@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> That's true.  Was that the intention here -- first to check invisibility
>> of both text properties and overlays and then only check invisibility of
>> text properties?
>
> Yep, that is my understanding too: first check both, then each separately.

Right.

Anyway, back to the original issue -- Thierry, you reported this problem
for Emacs 26.3, but do you see it in more recent Emacs versions?

If so, can you give a complete recipe to reproduce it, starting from
"emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 29 Jun 2022 17:58:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 13:58:34 2022
Received: from localhost ([127.0.0.1]:60152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6bxS-0004Rc-7x
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 13:58:34 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:52883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1o6bxP-0004RK-Ql
 for 55768 <at> debbugs.gnu.org; Wed, 29 Jun 2022 13:58:32 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 03A05240004;
 Wed, 29 Jun 2022 17:58:23 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
Organization: LINKOV.NET
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
 <87mtesacyr.fsf@HIDDEN> <86tu84ohjw.fsf@HIDDEN>
 <87y1xgn1o5.fsf@HIDDEN> <86tu84n0zh.fsf@HIDDEN>
 <87wnczlrmz.fsf@HIDDEN>
Date: Wed, 29 Jun 2022 20:58:10 +0300
In-Reply-To: <87wnczlrmz.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 29 Jun 2022 11:56:36 +0200")
Message-ID: <86v8sjtm00.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Thierry EMERY <thierryalemery@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> 	;; If the following character is currently invisible,
>>> 	;; skip all characters with that same `invisible' property value.
>>> 	;; Do that over and over.
>>> 	(while (and (< (point) end) (invisible-p (point)))
>>> 	  (if (invisible-p (get-text-property (point) 'invisible))
>
> [...]
>
>> 1. (invisible-p (point))
>>    checks invisibility of both: text properties and overlays.
>
> That's true.  Was that the intention here -- first to check invisibility
> of both text properties and overlays and then only check invisibility of
> text properties?

Yep, that is my understanding too: first check both, then each separately.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 29 Jun 2022 09:56:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 29 05:56:48 2022
Received: from localhost ([127.0.0.1]:57488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6URE-0004hG-Cz
	for submit <at> debbugs.gnu.org; Wed, 29 Jun 2022 05:56:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o6URC-0004h3-Jy
 for 55768 <at> debbugs.gnu.org; Wed, 29 Jun 2022 05:56:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=EM5hnpF7+WkhbkFmTb5hWkSr8qwFgFUzJP+j/iZWzlE=; b=MR9EyjTutXn367CQFyGUFFkd7t
 OrUwLJmsvCQndXKJc5Br+y/zgu94pDdhSSmgBEMQFGu6/gRI0jagiUVwjIVlsW6g4nBIdNCeDLkff
 xudYL/07LG//YjhRtKnw26Iu0C//63SMBQiJ/IOzGNhauV4XzllWms/7Ag6rdXtvzWhA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o6UR3-00060p-7q; Wed, 29 Jun 2022 11:56:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
 <87mtesacyr.fsf@HIDDEN> <86tu84ohjw.fsf@HIDDEN>
 <87y1xgn1o5.fsf@HIDDEN> <86tu84n0zh.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUXExQhGxwuKi1Z
 LzkpJ2QjGygrK4lkU4jVnXTOLiCuSDmiJRzbTDLoa07////QtD2nAAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YGHQk1EwikkDoAAAF7SURBVDjLnZQxTwIxFMdfD1i4pWdgcIMT4ooysUG8wCpGPoGE+AEw
 YXRwcHBzau5ucHJwYjDmxMXBoaG3QwLfxV69wqW0Ufwnl7T9vff+fbm2gAAwcrLCgDDCYGGoglXB
 R4AqcMpHAAlogJSDHP4hHrojlIQ6zi7AODFDoEnhxRxNKYP+HrmveOd6UP11EwduzatduK6rhpZG
 XGPP8zoacH2XBdYWXGVABdAG9NqFodftKHsojYaTRr437Go8JreXvfFIBXnu0W4d3zT7slQuBV7z
 uWG/nZGp7Dw1L7LFg28/tsIvxdxmMfUPic+eFI8iDanfiqLwUwE2iVeEkCDYZKSd236wYmtGJcDS
 nAO+vs6AVDkSxWsaU6YBi/t5uGRTdbtkFi/mH0vZ4NZ8NQuoH5Ft57LUy0zo/VVM0QaUkytTHtQH
 AzHVnPkfGc82Mh04fAIFfUbf5GEy/8d1qZtA1bC+v4VMsZKi/Lmp8xF/a4SHaAWlf1/EnYuMb6sp
 Z/wCmHAZAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA2LTI5VDA5OjUzOjE5KzAwOjAw8pBinAAA
 ACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNi0yOVQwOTo1MzoxOSswMDowMIPN2iAAAAAASUVORK5C
 YII=
X-Now-Playing: Django Django's _Glowing In The Dark_: "Headrush"
Date: Wed, 29 Jun 2022 11:56:36 +0200
In-Reply-To: <86tu84n0zh.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 28 Jun 2022 20:37:06 +0300")
Message-ID: <87wnczlrmz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: >> ; ; If the following
 character is currently invisible, >> ;; skip all characters with that same
 `invisible' property value. >> ;; Do that over and over. >> (while (and (<
 (point) end) (invisible-p ( [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Thierry EMERY <thierryalemery@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> 	;; If the following character is currently invisible,
>> 	;; skip all characters with that same `invisible' property value.
>> 	;; Do that over and over.
>> 	(while (and (< (point) end) (invisible-p (point)))
>> 	  (if (invisible-p (get-text-property (point) 'invisible))

[...]

> 1. (invisible-p (point))
>    checks invisibility of both: text properties and overlays.

That's true.  Was that the intention here -- first to check invisibility
of both text properties and overlays and then only check invisibility of
text properties?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 28 Jun 2022 17:39:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 13:39:15 2022
Received: from localhost ([127.0.0.1]:56270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6FBD-0004qF-6O
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 13:39:15 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:41559)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1o6FBA-0004q0-Sw
 for 55768 <at> debbugs.gnu.org; Tue, 28 Jun 2022 13:39:13 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 3262E60007;
 Tue, 28 Jun 2022 17:39:04 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
Organization: LINKOV.NET
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
 <87mtesacyr.fsf@HIDDEN> <86tu84ohjw.fsf@HIDDEN>
 <87y1xgn1o5.fsf@HIDDEN>
Date: Tue, 28 Jun 2022 20:37:06 +0300
In-Reply-To: <87y1xgn1o5.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 28 Jun 2022 19:22:18 +0200")
Message-ID: <86tu84n0zh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Thierry EMERY <thierryalemery@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> In other words, this:
>
> 	;; If the following character is currently invisible,
> 	;; skip all characters with that same `invisible' property value.
> 	;; Do that over and over.
> 	(while (and (< (point) end) (invisible-p (point)))
> 	  (if (invisible-p (get-text-property (point) 'invisible))
>
> Is fine, but
>
> (eq (invisible-p (point))
>     (invisible-p (get-text-property (point) 'invisible)))
>
> is always true.

I don't see how it's always true:

1. (invisible-p (point))
   checks invisibility of both: text properties and overlays.

2. (invisible-p (get-text-property (point) 'invisible))
   checks invisibility of text properties only.

3. (invisible-p (overlay-get o 'invisible))
   checks invisibility of overlays only.

There is a need for a separate check because overlays
can be opened, whereas text properties can't.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 28 Jun 2022 17:22:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 13:22:34 2022
Received: from localhost ([127.0.0.1]:56226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6Ev3-0004Ou-Mq
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 13:22:33 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o6Euy-0004Od-Oi
 for 55768 <at> debbugs.gnu.org; Tue, 28 Jun 2022 13:22:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=b4+oKAfcxyv4ACFA4QaYVA4SFMe4L5s3unAzryk4j+4=; b=cYaFznHIoohOQ6xljSTXDtM+w+
 HofpS8THYzmy/xhIZTdog872yYadfIKqME4PExyCZJbbgjQ1NMc0lylule78ZObhyp0sLMlgBPbJG
 6zQuMrWM4g5qqq8slYWDOWW/giDmESLl3BegXdLdwoT5DDLFdWoNHfM7pUssco9Qwv8Q=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o6Eup-0004cD-EJ; Tue, 28 Jun 2022 19:22:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
 <87mtesacyr.fsf@HIDDEN> <86tu84ohjw.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEX4+PajoZ1RTEj/
 //9oJKOWAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YGHBERAaB8lXkAAAGlSURBVCjPfZI9bhsxEIUf
 B7sDi9UGUASZlQs5kPcUIxUqVG1hC7AqFzJg7SloA0lNBU4KVzSwEUieMrM6gFkQfPx58/iRwFet
 hnnsgCNgH3ZFbPHPpQhs0b4vsS8FF4F/fepLBriUdwqcv99HwDzcL6xwBvmL29KhymAZx7K8RpMw
 uSzcHFp0A1weF5rYyiqYshMY+RHcX/JuUAdC6222+IwqGK3QMKd1sKImGlAONftrjWOGFgiVlYPG
 2X1+CEltTRyz/WFhsBvjmPPAMjdGDbVRIL/gkJajYCEfKL48jcJi/eYpNifFAEflF3igbVJxnLhH
 7DNPtbi5m9fzWQlXnQOql4VeZeNvRbNVhxtwsP4Z1qMZOii913ewx7fYUYBdR/M7YBaDC53bBD7r
 nFJe5Za9fQsw6ItSJXGrEdwsTVw2aC/cKE6VLo6NJih731BCPb4P98U3JtUlG48rU1Kj9zxFBFTo
 c0OFtbJam3RUIRuv28w6LqZc/FZ5AZsQK/sR9hjx9P78025Dru9UtJ5ee46JhlHASaJTGvGiMnrQ
 yBPkix/1H0iqgxbgryChAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA2LTI4VDE3OjE3OjAxKzAw
 OjAwfWaDygAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNi0yOFQxNzoxNzowMSswMDowMAw7O3YA
 AAAASUVORK5CYII=
X-Now-Playing: Mark Fell & Will Guthrie's _Infoldings_: "Infoldings 1"
Date: Tue, 28 Jun 2022 19:22:18 +0200
In-Reply-To: <86tu84ohjw.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 28 Jun 2022 19:53:55 +0300")
Message-ID: <87y1xgn1o5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: >>> (invisible-p
 (point))
 has already been tested in the previous line, >>> but it only tests that
 >>> there is a text property, not actual invisibility: >>> (defun invisible-p
 (pos) >>> (get-text-pro [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Thierry EMERY <thierryalemery@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>>> (invisible-p (point)) has already been tested in the previous line,
>>> but it only tests that
>>> there is a text property, not actual invisibility:
>>> (defun invisible-p (pos)
>>>   (get-text-property pos 'invisible))
>>
>> That's not the definition of invisible-p.  It's
>>
>> DEFUN ("invisible-p", Finvisible_p, Sinvisible_p, 1, 1, 0,
>>        doc: /* Non-nil if text properties at POS cause text there to
>> be currently invisible.
>
> I checked this again, and I see nothing wrong in the current implementati=
on:
>
>   (invisible-p (get-text-property (point) 'invisible))
>
> is a valid call, because the arg of =E2=80=98invisible-p=E2=80=99 can be =
the actual value
> of the =E2=80=98invisible=E2=80=99 text property.

The claim was that invisible-p:

>>> it only tests that there is a text property, not actual
>>> invisibility

and then there's a definition of invisible-p, which indeed only tests
that.  I pointed out that that's not what invisible-p is defined as, or
what it does.

In other words, this:

	;; If the following character is currently invisible,
	;; skip all characters with that same `invisible' property value.
	;; Do that over and over.
	(while (and (< (point) end) (invisible-p (point)))
	  (if (invisible-p (get-text-property (point) 'invisible))

Is fine, but

(eq (invisible-p (point))
    (invisible-p (get-text-property (point) 'invisible)))

is always true.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 28 Jun 2022 17:07:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 28 13:07:44 2022
Received: from localhost ([127.0.0.1]:56221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o6Egi-00043s-Dd
	for submit <at> debbugs.gnu.org; Tue, 28 Jun 2022 13:07:44 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:54189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1o6Ege-00043d-Ud
 for 55768 <at> debbugs.gnu.org; Tue, 28 Jun 2022 13:07:42 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id D994F1C0005;
 Tue, 28 Jun 2022 17:07:33 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
Organization: LINKOV.NET
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
 <87mtesacyr.fsf@HIDDEN>
Date: Tue, 28 Jun 2022 19:53:55 +0300
In-Reply-To: <87mtesacyr.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 04 Jun 2022 13:24:12 +0200")
Message-ID: <86tu84ohjw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Thierry EMERY <thierryalemery@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> (invisible-p (point)) has already been tested in the previous line, but it only tests that
>> there is a text property, not actual invisibility:
>> (defun invisible-p (pos)
>>   (get-text-property pos 'invisible))
>
> That's not the definition of invisible-p.  It's
>
> DEFUN ("invisible-p", Finvisible_p, Sinvisible_p, 1, 1, 0,
>        doc: /* Non-nil if text properties at POS cause text there to be currently invisible.

I checked this again, and I see nothing wrong in the current implementation:

  (invisible-p (get-text-property (point) 'invisible))

is a valid call, because the arg of ‘invisible-p’ can be the actual value
of the ‘invisible’ text property.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 4 Jun 2022 11:24:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 04 07:24:24 2022
Received: from localhost ([127.0.0.1]:57716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxRtI-000437-CE
	for submit <at> debbugs.gnu.org; Sat, 04 Jun 2022 07:24:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nxRtG-00042s-6v
 for 55768 <at> debbugs.gnu.org; Sat, 04 Jun 2022 07:24:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yHwve0s0UKjCDKMDTZlb15Wpxwlz5J5B+UvehiDX0zE=; b=t/2FbTzdQIDZq/OjxFeyMP/CfE
 mpWekNmH8kYvUO/Hrxuyz/YBClScmHJlxtuV8G07jY2az6Za81RHUaqSptx7NHDyvzBPVCW5U82qi
 9PC5KyHM21/exQpgass2rMqNof27d9B5JGGu+6Za9GGq8wsgYVV07bZh+ljqOB0S0sc0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nxRt6-00030S-Ou; Sat, 04 Jun 2022 13:24:15 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Thierry EMERY <thierryalemery@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJ1BMVEVlMyKAPhUgOGkX
 N3U8VUmNUyabaU+2kmrFqowDAwMUKh1WgIP////7CihXAAAAAWJLR0QMgbNRYwAAAAd0SU1FB+YG
 BAsWC4v0s3YAAAGkSURBVDjLndFNa9swGAdwpTQpyckuK70v/QT1sZcwRLa4F3cgp8cQbGn0Psns
 XGIfRwmlj3sxxWPY59KN6stVsvNay4ftD8JGPz2PJRl1bKtj17HUOHBWQahj2dtYO2BtVqt0jutp
 7KATgq66tu1blo3CrneIP+IzNRw0FSScEvLtO2Ek9MMPtEqoIYniJBZRohPNAxpocdBpLJJpzPl1
 LOJEREFA5zUcxWpdEtcFNAmCupeDelwwzvmUCSYEYV9Vr/GY4iGCtCxBRz3V29PmHFCWRQWgoTRB
 ug/rTv8F7h7orUCaZTNI8QbOV5B11e0MoGxU/PQZn6nCpduAiHsD0M12IS8yX3BP7yF3dwEXqEdp
 dcoc74GLBllY7XiJP20hxy+/vLBbVaS7gPEo8ynpGwAjRsP++1Y5vpQzxmarK77bAMZSPvviBhpw
 KaX0qQHUvOxRzwjFiJAGqE6T+5sBMsAEvkyKsgHyFSCZADQB4JGbQBU8LH4YQC1eLm7NAJ/b4HfQ
 An9dA+hb/dMG48IA1f+BFoAGDFvgQrbC8B8r1h8vDPAGknPX9K4yzwoAAAAldEVYdGRhdGU6Y3Jl
 YXRlADIwMjItMDYtMDRUMTE6MjI6MTErMDA6MDAd/LLDAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIy
 LTA2LTA0VDExOjIyOjExKzAwOjAwbKEKfwAAAABJRU5ErkJggg==
X-Now-Playing: Vinicius =?utf-8?Q?Cantu=C3=A1ria's_=5FTucum=C3=A3=5F=3A=20?=
 =?utf-8?Q?=22Igarap=C3=A9=22?=
Date: Sat, 04 Jun 2022 13:24:12 +0200
In-Reply-To: <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
 (Thierry EMERY's message of "Fri, 3 Jun 2022 09:23:12 +0200")
Message-ID: <87mtesacyr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Thierry EMERY <thierryalemery@HIDDEN> writes: >
 (invisible-p
 (point)) has already been tested in the previous line, but it only tests
 that > there is a text property, not actual invisibility: > (defun invisible-p
 (pos) > (get-text-property pos 'i [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Thierry EMERY <thierryalemery@HIDDEN> writes:

> (invisible-p (point)) has already been tested in the previous line, but it only tests that
> there is a text property, not actual invisibility:
> (defun invisible-p (pos)
>   (get-text-property pos 'invisible))

That's not the definition of invisible-p.  It's

DEFUN ("invisible-p", Finvisible_p, Sinvisible_p, 1, 1, 0,
       doc: /* Non-nil if text properties at POS cause text there to be currently invisible.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 3 Jun 2022 08:19:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 03 04:19:30 2022
Received: from localhost ([127.0.0.1]:55209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nx2Wn-0007TU-Vs
	for submit <at> debbugs.gnu.org; Fri, 03 Jun 2022 04:19:30 -0400
Received: from mail-qt1-f172.google.com ([209.85.160.172]:39665)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thierryalemery@HIDDEN>) id 1nx1xb-0006Z4-Nf
 for 55768 <at> debbugs.gnu.org; Fri, 03 Jun 2022 03:43:12 -0400
Received: by mail-qt1-f172.google.com with SMTP id x7so5021935qta.6
 for <55768 <at> debbugs.gnu.org>; Fri, 03 Jun 2022 00:43:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=PDwBSie+0MXX8wahc+uLOWh4fL6ZUftXYKZyndjkZAM=;
 b=TDtv0Fm86p5i7INwqewOstTivJGS07ODs9nKa3/DGrAk0v+9HakzJZBcgPxOhjW8/T
 vcVHRwswnleKc+frQJWFkqjEEGg7R5eZiJ+T6qIwvNJbOTZIyyno8rTbJ71iJOevoLo6
 C35fwGbobFT5GQbzsmzM4tSIsrjvrZObeVjCqfTsaTsAeZVOxXB4Iq297PjNjIwZiCoF
 cfXU7nVFbE/LxNemNlZK32H/S0P7YsLj5Rl4qax0cJHIZ+pUViSH2gzve5oHr4V4NQdH
 q0jchmw+fKH1A5x5rCBgtzOp55RCownanCnMc5ugloYha8E/3vesmdyK+ftVI7emKmVm
 YD3w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=PDwBSie+0MXX8wahc+uLOWh4fL6ZUftXYKZyndjkZAM=;
 b=VRWqMXapN7dA0tA/0LC+1Lya7NnoDUgrM15ZM46rvKtFTxqIYOK6maPMehTkYTz7F5
 iO6IcGRCGXAGhIsmVRvvErPUzY0ukvM0i0f4b7az4ucPs164N+qqAvyaszwN/4IXQ01H
 ZcX1AOBwEZJDflf3ncHzeGxWfCelAjQxL1ZtUNHtieXANp6VzT4y7mTTckcxXZKA03HY
 TdPFoVoeAmT9s61xSeLTuwgxVS+Qr0z3Qg/LbiQfONIGC8zPATwG+mPb4nsyy1hFQBsw
 vT886Gjpcd1cY0gTscMf9TNxsjvwV1c8QKMpogKEqvxUKtbF7pbZ9mgaX+M815qrT/nW
 SwLw==
X-Gm-Message-State: AOAM533oTOp4ogHs5veUymXYTzCuONE/eiDZumYIKelHNZTlqPAReYdp
 GtlGeaPcYnywvL+Sp01enXKHlDlz+lhRQIfeXkk=
X-Google-Smtp-Source: ABdhPJzhvCEO7XZsRkqJgIl8JNHVcB8ww4/uIFOgzy8nRGUof15HmCVE8NPzXJ3iJvTyzhID+EH2plbyCmr2VdB5lsk=
X-Received: by 2002:ac8:4e4d:0:b0:2f9:2f21:5868 with SMTP id
 e13-20020ac84e4d000000b002f92f215868mr6423880qtw.97.1654242182235; Fri, 03
 Jun 2022 00:43:02 -0700 (PDT)
MIME-Version: 1.0
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
 <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
In-Reply-To: <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
From: Thierry EMERY <thierryalemery@HIDDEN>
Date: Fri, 3 Jun 2022 09:42:51 +0200
Message-ID: <CAM75=5CAzeC_MRNc7=UFxgmmicJ9HcEL_npX_mQdgVC+ZhohXQ@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000a50b7405e0864526"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55768
X-Mailman-Approved-At: Fri, 03 Jun 2022 04:19:28 -0400
Cc: 55768 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000a50b7405e0864526
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Reading the documentation for `buffer-invisibility-spec' more thouroughly,
it now seems to me that a better patch would be:
diff -u isearch.el~ isearch.el
--- isearch.el~ 2019-09-10 02:32:49.000000000 +0200
+++ isearch.el 2022-06-03 09:40:59.991883469 +0200
@@ -2972,7 +2972,8 @@
  ;; skip all characters with that same `invisible' property value.
  ;; Do that over and over.
  (while (and (< (point) end) (invisible-p (point)))
-  (if (invisible-p (get-text-property (point) 'invisible))
+  (if (or (memq (get-text-property (point) 'invisible)
buffer-invisibility-spec)
+  (assq (get-text-property (point) 'invisible) buffer-invisibility-spec))
       (progn
  (goto-char (next-single-property-change (point) 'invisible
  nil end))


Le ven. 3 juin 2022 =C3=A0 09:23, Thierry EMERY <thierryalemery@HIDDEN> =
a
=C3=A9crit :

> (invisible-p (point)) has already been tested in the previous line, but i=
t
> only tests that there is a text property, not actual invisibility:
> (defun invisible-p (pos)
>   (get-text-property pos 'invisible))
>
> If the text property `invisible' has another symbol than t as value and
> `buffer-invisibility-spec' is a list (which is the case in dired, see
> below), then the text will only be invisible if that symbol is currently
> part of `buffer-invisibility-spec' (and that is used by
> `dired-hide-details-mode').
>
> buffer-invisibility-spec is a variable defined in =E2=80=98C source code=
=E2=80=99.
> Its value is (t)
> Local in buffer lisp; global value is t
>
>   Automatically becomes buffer-local when set.
>
> Documentation:
> Invisibility spec of this buffer.
> The default is t, which means that text is invisible if it has a non-nil
> =E2=80=98invisible=E2=80=99 property.
> This variable can also be a list.  The list can have two kinds of element=
s:
> =E2=80=98ATOM=E2=80=99 and =E2=80=98(ATOM . ELLIPSIS)=E2=80=99.  A text c=
haracter is invisible if its
> =E2=80=98invisible=E2=80=99 property is =E2=80=98ATOM=E2=80=99, or has an=
 =E2=80=98invisible=E2=80=99 property that is a
> list
> that contains =E2=80=98ATOM=E2=80=99.
> If the =E2=80=98(ATOM . ELLIPSIS)=E2=80=99 form is used, and =E2=80=98ELL=
IPSIS=E2=80=99 is non-nil, an
> ellipsis will be displayed after the invisible characters.
> Setting this variable is very fast, much faster than scanning all the tex=
t
> in
> the buffer looking for properties to change.
>
>

--000000000000a50b7405e0864526
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Reading the documentation for `buffer-invisibility-spec&#3=
9; more thouroughly, it now seems to me that a better patch would be:<br>di=
ff -u isearch.el~ isearch.el<br>--- isearch.el~	2019-09-10 02:32:49.0000000=
00 +0200<br>+++ isearch.el	2022-06-03 09:40:59.991883469 +0200<br>@@ -2972,=
7 +2972,8 @@<br>=C2=A0	;; skip all characters with that same `invisible&#39=
; property value.<br>=C2=A0	;; Do that over and over.<br>=C2=A0	(while (and=
 (&lt; (point) end) (invisible-p (point)))<br>-	 =C2=A0(if (invisible-p (ge=
t-text-property (point) &#39;invisible))<br>+	 =C2=A0(if (or (memq (get-tex=
t-property (point) &#39;invisible) buffer-invisibility-spec)<br>+		 =C2=A0(=
assq (get-text-property (point) &#39;invisible) buffer-invisibility-spec))<=
br>=C2=A0	 =C2=A0 =C2=A0 =C2=A0(progn<br>=C2=A0		(goto-char (next-single-pr=
operty-change (point) &#39;invisible<br>=C2=A0							nil end))<br><div><br>=
</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_=
attr">Le=C2=A0ven. 3 juin 2022 =C3=A0=C2=A009:23, Thierry EMERY &lt;<a href=
=3D"mailto:thierryalemery@HIDDEN">thierryalemery@HIDDEN</a>&gt; a =C3=
=A9crit=C2=A0:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0=
px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><=
div dir=3D"ltr">(invisible-p (point)) has already been tested in the previo=
us line, but it only tests that there is a text property, not actual invisi=
bility:<br>(defun invisible-p (pos)<br>=C2=A0 (get-text-property pos &#39;i=
nvisible))<br><div><br></div><div>If the text property `invisible&#39; has =
another symbol than t as value and `buffer-invisibility-spec&#39; is a list=
 (which is the case in dired, see below), then the text will only be invisi=
ble if that symbol is currently part of `buffer-invisibility-spec&#39; (and=
 that is used by `dired-hide-details-mode&#39;).</div><div><br></div><div>b=
uffer-invisibility-spec is a variable defined in =E2=80=98C source code=E2=
=80=99.<br>Its value is (t)<br>Local in buffer lisp; global value is t<br><=
br>=C2=A0 Automatically becomes buffer-local when set.<br><br>Documentation=
:<br>Invisibility spec of this buffer.<br>The default is t, which means tha=
t text is invisible if it has a non-nil<br>=E2=80=98invisible=E2=80=99 prop=
erty.<br>This variable can also be a list.=C2=A0 The list can have two kind=
s of elements:<br>=E2=80=98ATOM=E2=80=99 and =E2=80=98(ATOM . ELLIPSIS)=E2=
=80=99.=C2=A0 A text character is invisible if its<br>=E2=80=98invisible=E2=
=80=99 property is =E2=80=98ATOM=E2=80=99, or has an =E2=80=98invisible=E2=
=80=99 property that is a list<br>that contains =E2=80=98ATOM=E2=80=99.<br>=
If the =E2=80=98(ATOM . ELLIPSIS)=E2=80=99 form is used, and =E2=80=98ELLIP=
SIS=E2=80=99 is non-nil, an<br>ellipsis will be displayed after the invisib=
le characters.<br>Setting this variable is very fast, much faster than scan=
ning all the text in<br>the buffer looking for properties to change.<br></d=
iv><div><br></div></div>
</blockquote></div>

--000000000000a50b7405e0864526--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 3 Jun 2022 08:19:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 03 04:19:30 2022
Received: from localhost ([127.0.0.1]:55207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nx2Wn-0007TR-Il
	for submit <at> debbugs.gnu.org; Fri, 03 Jun 2022 04:19:29 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:39672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thierryalemery@HIDDEN>) id 1nx1ea-00066d-Sv
 for 55768 <at> debbugs.gnu.org; Fri, 03 Jun 2022 03:23:30 -0400
Received: by mail-qt1-f174.google.com with SMTP id x7so5001930qta.6
 for <55768 <at> debbugs.gnu.org>; Fri, 03 Jun 2022 00:23:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=i8+KYOUjtnjhx+cHUn6wnPw9LpTtxfhbtyqwxRecKLo=;
 b=EUjiq82o+kTiRvqVpJ48BHd4Rfea+YIX9lWPsLe85geDx1NWM7noC2zNokuJBggzim
 eDIxqukfiKsGAC46VDbprsoix8lIh4ae2T8WkNCuHVvAXpo7wp7BewAq/1ZOPcXr0QWy
 xadAfjgLXORYlf6yz2W4ZN+5KXy76TRWDB7nzIi9gH4RRPj7cf6hT8VmxictFTWhHMT4
 Fv8I+Gl8KPEHqJGsK8NDEt36+Tp1rjX1dh8b6vEIjhONzWmiaktdhj5SzdmJpOBW4bSL
 3ACw5AenVZGtqNDafWpFqjZbLVxfPKOwbI5X3sjWPCDrsU6yG9NIkKRrmwcQjg3dikba
 V3wA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=i8+KYOUjtnjhx+cHUn6wnPw9LpTtxfhbtyqwxRecKLo=;
 b=TNt1h7qn1Z0JxFqHdyfIkF5y7ay/H3/YlOXrmpTlLIuY/Q8pyMgHvr7PtHV+50lWnh
 QIMLDDPZ/O1RyRMpgXB9VrDorbURqG/wPTFb+gOq4vHkOjAeqOF71cESJgpApkiAVuy5
 w1/hvTQwZdd/+wOdFOj+X39UdF/w0U5GYzZpYO5KvkCOUCC7IljWi+qfDxevwUYs/Xpx
 Ptr6tFHkE6JpzJtRVOO7kmFoXCr5b3wH51HBdpHDPzxz4L0ofpE5sD5YY49LiL5Phq7Y
 5s8OMEVnRTzs6rk7BBsyyBfHyTluHd28NUb1w2zYG2csT4O49P7T6AdARsV1+RJ6a/j1
 95VA==
X-Gm-Message-State: AOAM531qgspZ+iyUevRFKxkewjqbgso98oy+xYF5YdlTBVLAakhAdiSz
 Jdio6ZuCiuMp1VhTyaSMMVS4IPUepDqwMyN2Cuw=
X-Google-Smtp-Source: ABdhPJwG79/w/Jvi+6OzDrO1cniWNYk9ztaAYRVrWCJzz1qDG4HF2zcWUtavRUcpxa3omC+zjoSoZ/OAvlgNQoBMQH4=
X-Received: by 2002:ac8:5795:0:b0:2fa:3038:b8f3 with SMTP id
 v21-20020ac85795000000b002fa3038b8f3mr6392606qta.659.1654241003306; Fri, 03
 Jun 2022 00:23:23 -0700 (PDT)
MIME-Version: 1.0
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
In-Reply-To: <87leuebeyj.fsf@HIDDEN>
From: Thierry EMERY <thierryalemery@HIDDEN>
Date: Fri, 3 Jun 2022 09:23:12 +0200
Message-ID: <CAM75=5AhZS5-jdxW63A8OyPT=PDg1spGyYapiahMoX93cusKNw@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000060046c05e085ff9c"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55768
X-Mailman-Approved-At: Fri, 03 Jun 2022 04:19:28 -0400
Cc: 55768 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000060046c05e085ff9c
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

(invisible-p (point)) has already been tested in the previous line, but it
only tests that there is a text property, not actual invisibility:
(defun invisible-p (pos)
  (get-text-property pos 'invisible))

If the text property `invisible' has another symbol than t as value and
`buffer-invisibility-spec' is a list (which is the case in dired, see
below), then the text will only be invisible if that symbol is currently
part of `buffer-invisibility-spec' (and that is used by
`dired-hide-details-mode').

buffer-invisibility-spec is a variable defined in =E2=80=98C source code=E2=
=80=99.
Its value is (t)
Local in buffer lisp; global value is t

  Automatically becomes buffer-local when set.

Documentation:
Invisibility spec of this buffer.
The default is t, which means that text is invisible if it has a non-nil
=E2=80=98invisible=E2=80=99 property.
This variable can also be a list.  The list can have two kinds of elements:
=E2=80=98ATOM=E2=80=99 and =E2=80=98(ATOM . ELLIPSIS)=E2=80=99.  A text cha=
racter is invisible if its
=E2=80=98invisible=E2=80=99 property is =E2=80=98ATOM=E2=80=99, or has an =
=E2=80=98invisible=E2=80=99 property that is a
list
that contains =E2=80=98ATOM=E2=80=99.
If the =E2=80=98(ATOM . ELLIPSIS)=E2=80=99 form is used, and =E2=80=98ELLIP=
SIS=E2=80=99 is non-nil, an
ellipsis will be displayed after the invisible characters.
Setting this variable is very fast, much faster than scanning all the text
in
the buffer looking for properties to change.

--00000000000060046c05e085ff9c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">(invisible-p (point)) has already been tested in the previ=
ous line, but it only tests that there is a text property, not actual invis=
ibility:<br>(defun invisible-p (pos)<br>=C2=A0 (get-text-property pos &#39;=
invisible))<br><div><br></div><div>If the text property `invisible&#39; has=
 another symbol than t as value and `buffer-invisibility-spec&#39; is a lis=
t (which is the case in dired, see below), then the text will only be invis=
ible if that symbol is currently part of `buffer-invisibility-spec&#39; (an=
d that is used by `dired-hide-details-mode&#39;).</div><div><br></div><div>=
buffer-invisibility-spec is a variable defined in =E2=80=98C source code=E2=
=80=99.<br>Its value is (t)<br>Local in buffer lisp; global value is t<br><=
br>=C2=A0 Automatically becomes buffer-local when set.<br><br>Documentation=
:<br>Invisibility spec of this buffer.<br>The default is t, which means tha=
t text is invisible if it has a non-nil<br>=E2=80=98invisible=E2=80=99 prop=
erty.<br>This variable can also be a list.=C2=A0 The list can have two kind=
s of elements:<br>=E2=80=98ATOM=E2=80=99 and =E2=80=98(ATOM . ELLIPSIS)=E2=
=80=99.=C2=A0 A text character is invisible if its<br>=E2=80=98invisible=E2=
=80=99 property is =E2=80=98ATOM=E2=80=99, or has an =E2=80=98invisible=E2=
=80=99 property that is a list<br>that contains =E2=80=98ATOM=E2=80=99.<br>=
If the =E2=80=98(ATOM . ELLIPSIS)=E2=80=99 form is used, and =E2=80=98ELLIP=
SIS=E2=80=99 is non-nil, an<br>ellipsis will be displayed after the invisib=
le characters.<br>Setting this variable is very fast, much faster than scan=
ning all the text in<br>the buffer looking for properties to change.<br></d=
iv><div><br></div></div>

--00000000000060046c05e085ff9c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 3 Jun 2022 07:57:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 03 03:57:30 2022
Received: from localhost ([127.0.0.1]:55182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nx2BV-0006wL-VH
	for submit <at> debbugs.gnu.org; Fri, 03 Jun 2022 03:57:30 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:53239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1nx2BT-0006vu-Tw
 for 55768 <at> debbugs.gnu.org; Fri, 03 Jun 2022 03:57:28 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id F3CEB240007;
 Fri,  3 Jun 2022 07:57:19 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
Organization: LINKOV.NET
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 <87leuebeyj.fsf@HIDDEN>
Date: Fri, 03 Jun 2022 10:55:59 +0300
In-Reply-To: <87leuebeyj.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 03 Jun 2022 05:31:16 +0200")
Message-ID: <86czfqnptc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Thierry EMERY <thierryalemery@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> isearch fails to highlight in dired and displays the following error:
>> image.png
>
> [...]
>
>>   (while (and (< (point) end) (invisible-p (point)))
>> -  (if (invisible-p (get-text-property (point) 'invisible))
>> +  (if (member (get-text-property (point) 'invisible) buffer-invisibility-spec)
>
> Hm...  shouldn't this just be
>
>> -  (if (invisible-p (point))
>
> ?  The previous change was added by Juri; added to the CCs.

Actually, I just reverted to the previous version.
But the original change was 66e2e71d556785cd10270931c6fc0424b9dea6a6
from bug#8721.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.
Added tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55768 <at> debbugs.gnu.org:


Received: (at 55768) by debbugs.gnu.org; 3 Jun 2022 03:31:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 23:31:29 2022
Received: from localhost ([127.0.0.1]:54879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwy25-0001Ct-71
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2022 23:31:29 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nwy23-0001Ch-RQ
 for 55768 <at> debbugs.gnu.org; Thu, 02 Jun 2022 23:31:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=7MX0g/0uN7/LDy628gaSlx2bbP/z2G1K6owX5rMucIY=; b=sMvEwJ9pnjJKxcvAKEtegzm2Or
 m70+1wKh1MFwuHcAEww+SVR/08Augco8W064ogr5isq1HGQxOj3/AmHP1qI8yYbFe6MRFNn+myRsH
 IPLWNqd+KfRszZ4VmMR5YxWD/tsRXvxgVtBTkgkO8ZutRMyhnliXbXyds2jEdhhvlPyc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nwy1v-00023b-29; Fri, 03 Jun 2022 05:31:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Thierry EMERY <thierryalemery@HIDDEN>
Subject: Re: bug#55768: 26.3; isearch highlighting in dired
References: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
X-Now-Playing: Exec's _Advertise Here_: "Sen Yen for 30 Minutes of Violin"
Date: Fri, 03 Jun 2022 05:31:16 +0200
In-Reply-To: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
 (Thierry EMERY's message of "Thu, 2 Jun 2022 17:22:31 +0200")
Message-ID: <87leuebeyj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Thierry EMERY <thierryalemery@HIDDEN> writes: > isearch
 fails to highlight in dired and displays the following error: > image.png
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55768
Cc: 55768 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Thierry EMERY <thierryalemery@HIDDEN> writes:

> isearch fails to highlight in dired and displays the following error:
> image.png

[...]

>   (while (and (< (point) end) (invisible-p (point)))
> -  (if (invisible-p (get-text-property (point) 'invisible))
> +  (if (member (get-text-property (point) 'invisible) buffer-invisibility-spec)

Hm...  shouldn't this just be

> -  (if (invisible-p (point))

?  The previous change was added by Juri; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jun 2022 16:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 12:14:00 2022
Received: from localhost ([127.0.0.1]:54491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwnSR-00065a-9e
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2022 12:14:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:40824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thierryalemery@HIDDEN>) id 1nwmex-0004Vx-9j
 for submit <at> debbugs.gnu.org; Thu, 02 Jun 2022 11:22:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40676)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <thierryalemery@HIDDEN>)
 id 1nwmex-0004YH-47
 for bug-gnu-emacs@HIDDEN; Thu, 02 Jun 2022 11:22:51 -0400
Received: from mail-qt1-x82b.google.com ([2607:f8b0:4864:20::82b]:44741)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <thierryalemery@HIDDEN>)
 id 1nwmeo-0007rl-LU
 for bug-gnu-emacs@HIDDEN; Thu, 02 Jun 2022 11:22:50 -0400
Received: by mail-qt1-x82b.google.com with SMTP id f35so3589366qtb.11
 for <bug-gnu-emacs@HIDDEN>; Thu, 02 Jun 2022 08:22:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=4B5TFvZnxnw+65GPos+eaJBlwojiOVoROoqdI3l7fXU=;
 b=qW+TBPlygRoqDrzUjWPtsDzoYT/KfeW4lLDX5nFRy+JdSEfVAw4BONTMcFIl85g8YN
 KAhkIlHA4n297+/EFc9eYOozvsnt+EmIVkp91HAUddRHVKKhI3ta+FLU+mMGNT7fM9hL
 IAlm8gbHuglOiZbb4nds2noKyL47hvZ7ffugckrgUxZge75Amg+elVMqVaetgyOpcfCU
 OAoLNJMqbTcocrQRpltJlQZrD3IDayze6JbDL5KOROmprb9PuBWIVAsN8yoVvKYhg5mZ
 zOPoOC9Vo8FgHle64xM4Olq0y9PdE+QyqxqoIyUZX5nyBgI3vbcFws5LQNN3svTHK6j9
 ddKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=4B5TFvZnxnw+65GPos+eaJBlwojiOVoROoqdI3l7fXU=;
 b=xJ1BTxyUZ8Ty6UMizKrPo0yLUYzHs+yPXgX8TR/MzTy3+BnZjTCc8Y0QRGUav8k4QM
 qtWdYD1Bs7MRJ6xoUL2yigMBVNJyx2dTtMWygVbBETOoRMN/aObbDMyulZqXpHp78RgR
 13zirhM5G8LrvXKek0GWLiHOm9vok4FOs5rHAKWuvG6fBwd5KgCkkzoLWJ+KWbYrkPnx
 89nA8BwZ1DWh1TVIOEO1rKx86fe4UR5YgoRuLxU7V8IAwIcMhs9fQppT4AR+jkGA/Yuz
 cXRFRA8Ux+oD1b+ihXn2M+4R7pKPN6VoJs13BBsgzREm3Wa7JyprV4UCt7l2n0YXLYZY
 sllQ==
X-Gm-Message-State: AOAM531wHiFgdgunQVtY+CaGa0hTTgW6EoAeD+/OlztpHHJ/Vp+iXe9c
 D2GqKDAyyuKAhZAi92Uuok1mh8/U9kPICp5jwZUROATwPw0meg==
X-Google-Smtp-Source: ABdhPJwBG7rqp3CnWI1lH0zl0MHU7n0dMDl5h4tfIi7DSLhAD827Af1s/y3ti3eAw1nmlgMt/5VZW+uSEsXiSngscSU=
X-Received: by 2002:ac8:5893:0:b0:304:c7d2:f8bd with SMTP id
 t19-20020ac85893000000b00304c7d2f8bdmr3921958qta.627.1654183361354; Thu, 02
 Jun 2022 08:22:41 -0700 (PDT)
MIME-Version: 1.0
From: Thierry EMERY <thierryalemery@HIDDEN>
Date: Thu, 2 Jun 2022 17:22:31 +0200
Message-ID: <CAM75=5C7C7exLLWWA95wY_jzwH8RqEp+xke6XNGcteU0a8FOtA@HIDDEN>
Subject: 26.3; isearch highlighting in dired
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/related; boundary="000000000000a63d1f05e07893f4"
Received-SPF: pass client-ip=2607:f8b0:4864:20::82b;
 envelope-from=thierryalemery@HIDDEN; helo=mail-qt1-x82b.google.com
X-Spam_score_int: -9
X-Spam_score: -1.0
X-Spam_bar: -
X-Spam_report: (-1.0 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_IMAGE_ONLY_16=1.092, HTML_MESSAGE=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 02 Jun 2022 12:13:57 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

--000000000000a63d1f05e07893f4
Content-Type: multipart/alternative; boundary="000000000000a63d1e05e07893f3"

--000000000000a63d1e05e07893f3
Content-Type: text/plain; charset="UTF-8"

Hello,

isearch fails to highlight in dired and displays the following error:
[image: image.png]

As dired sets text property 'invisible to a symbol, either:
'dired-hide-details-detail, 'dired-hide-details-information or
'dired-hide-details-link, in order for isearch to properly highlight the
searched string in a dired buffer, the following patch ought to be applied
to isearch-range-invisible:
diff -u isearch.el~ isearch.el
--- isearch.el~ 2019-09-10 02:32:49.000000000 +0200
+++ isearch.el 2022-06-02 17:13:55.490492201 +0200
@@ -2972,7 +2972,7 @@
  ;; skip all characters with that same `invisible' property value.
  ;; Do that over and over.
  (while (and (< (point) end) (invisible-p (point)))
-  (if (invisible-p (get-text-property (point) 'invisible))
+  (if (member (get-text-property (point) 'invisible)
buffer-invisibility-spec)
       (progn
  (goto-char (next-single-property-change (point) 'invisible
  nil end))

Kind Regards,

Thierry Emery

--000000000000a63d1e05e07893f3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hello,<div><br></div><div>isearch fails to highlight in di=
red and displays the following error:<br><img src=3D"cid:ii_l3x61uja0" alt=
=3D"image.png" width=3D"542" height=3D"25"><br></div><div><br></div><div>As=
 dired sets text property &#39;invisible to a symbol, either: &#39;dired-hi=
de-details-detail,=C2=A0&#39;dired-hide-details-information or &#39;dired-h=
ide-details-link, in order for isearch to properly highlight the searched s=
tring in a dired buffer, the following patch ought to be applied to isearch=
-range-invisible:</div><div>diff -u isearch.el~ isearch.el<br>--- isearch.e=
l~	2019-09-10 02:32:49.000000000 +0200<br>+++ isearch.el	2022-06-02 17:13:5=
5.490492201 +0200<br>@@ -2972,7 +2972,7 @@<br>=C2=A0	;; skip all characters=
 with that same `invisible&#39; property value.<br>=C2=A0	;; Do that over a=
nd over.<br>=C2=A0	(while (and (&lt; (point) end) (invisible-p (point)))<br=
>-	 =C2=A0(if (invisible-p (get-text-property (point) &#39;invisible))<br>+=
	 =C2=A0(if (member (get-text-property (point) &#39;invisible) buffer-invis=
ibility-spec)<br>=C2=A0	 =C2=A0 =C2=A0 =C2=A0(progn<br>=C2=A0		(goto-char (=
next-single-property-change (point) &#39;invisible<br>=C2=A0							nil end)=
)<br></div><div><br></div><div>Kind Regards,</div><div><br></div><div>Thier=
ry Emery</div></div>

--000000000000a63d1e05e07893f3--

--000000000000a63d1f05e07893f4
Content-Type: image/png; name="image.png"
Content-Disposition: inline; filename="image.png"
Content-Transfer-Encoding: base64
Content-ID: <ii_l3x61uja0>
X-Attachment-Id: ii_l3x61uja0
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--000000000000a63d1f05e07893f4--




Acknowledgement sent to Thierry EMERY <thierryalemery@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55768; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 30 Jun 2022 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.